Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QIcon.State

    java.lang.Object
      java.lang.Enum<QIcon.State>
          com.trolltech.qt.gui.QIcon.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QIcon.State>

Enclosing class:
  QIcon

    public static enum QIcon.State

extends java.lang.Enum<QIcon.State>
implements QtEnumerator

This enum describes the state for which a pixmap is intended to be used. The state can be:

Constant | Value | Description
--- | --- | ---
`Off` | `1` | Display the pixmap when the widget is in an "off" state
`On` | `0` | Display the pixmap when the widget is in an "on" state

Enum Constant Summary
`Off` Display the pixmap when the widget is in an "off" state
`On` Display the pixmap when the widget is in an "on" state

Method Summary
`static QIcon.State` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QIcon.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QIcon.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### On

    public static final QIcon.State On

  Display the pixmap when the widget is in an "on" state

### Off

    public static final QIcon.State Off

  Display the pixmap when the widget is in an "off" state

Method Detail

### values

    public static final QIcon.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QIcon.State c : QIcon.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QIcon.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QIcon.State resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD